Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » GMT (Generative Modeling Technologies) » [AM3] compilation problem with TGE
[AM3] compilation problem with TGE [message #381760] Thu, 27 March 2008 14:57 Go to next message
Andy Carpenter is currently offline Andy CarpenterFriend
Messages: 145
Registered: July 2009
Senior Member
I've just checked out the latest version of the TGE plugin
from the head of the cvs repository, and it has a compilation
problem. In particular, org.eclipse.am3.tools.tge.editor.CompletionPorcessor
has the following import which can not be satisfied

import org.eclipse.gmt.tcs.injector.CompletionInformation;

Any ideas for fixes appreciated.

thanks
Andy.

--
-- ------------------------------------------------------------ -------------
Dr Andy Carpenter
School of Computer Science,
University of Manchester, Manchester M13 9PL, UK
Email: Andy.Carpenter@manchester.ac.uk
Tel: +44 161 275 6168
Fax: +44 161 275 6280
Re: [AM3] compilation problem with TGE [message #381837 is a reply to message #381760] Mon, 31 March 2008 11:42 Go to previous messageGo to next message
Andy Carpenter is currently offline Andy CarpenterFriend
Messages: 145
Registered: July 2009
Senior Member
I see that the plugin manifest in the cvs repository has now been modified
to include a dependence that fixes this compilation problem; thanks.

However, the dependency is to org.eclipse.gmt.tcs.injector. Having checked
this out of the cvs repository, I find that its plugin manifest lists its
required
execution environment as J2SE-1.4. This is a problem because the source
file org.eclipse.gmt.tcs.injector.ParserLauncher makes use of an
IllegalArgumentException constructor that was only introduced in J2SE-1.5!

regards
Andy.


"Andy Carpenter" <Andy.Carpenter@manchester.ac.uk> wrote in message
news:fsgcvh$7bd$1@build.eclipse.org...
> I've just checked out the latest version of the TGE plugin
> from the head of the cvs repository, and it has a compilation
> problem. In particular,
> org.eclipse.am3.tools.tge.editor.CompletionPorcessor
> has the following import which can not be satisfied
>
> import org.eclipse.gmt.tcs.injector.CompletionInformation;
>
> Any ideas for fixes appreciated.
>
> thanks
> Andy.
>
> --
> -- ------------------------------------------------------------ -------------
> Dr Andy Carpenter
> School of Computer Science,
> University of Manchester, Manchester M13 9PL, UK
> Email: Andy.Carpenter@manchester.ac.uk
> Tel: +44 161 275 6168
> Fax: +44 161 275 6280
>
Re: [AM3] compilation problem with TGE [message #381839 is a reply to message #381837] Mon, 31 March 2008 15:09 Go to previous message
Frédéric Jouault is currently offline Frédéric JouaultFriend
Messages: 572
Registered: July 2009
Senior Member
Hi Andy,

We are stabilizing ATL for release with Eclipse 3.4.

But we are continuing development on AM3 and TCS.
At the current time, it is not easy to find which CVS branch to check out.

We are currently working on improving the situation. For instance, there
will be .psf files to help the check out process.


Thanks for notifying us of this problem.


Regards,

Frédéric Jouault


Andy Carpenter a écrit :
> I see that the plugin manifest in the cvs repository has now been modified
> to include a dependence that fixes this compilation problem; thanks.
>
> However, the dependency is to org.eclipse.gmt.tcs.injector. Having checked
> this out of the cvs repository, I find that its plugin manifest lists its
> required
> execution environment as J2SE-1.4. This is a problem because the source
> file org.eclipse.gmt.tcs.injector.ParserLauncher makes use of an
> IllegalArgumentException constructor that was only introduced in J2SE-1.5!
>
> regards
> Andy.
>
>
> "Andy Carpenter" <Andy.Carpenter@manchester.ac.uk> wrote in message
> news:fsgcvh$7bd$1@build.eclipse.org...
>> I've just checked out the latest version of the TGE plugin
>> from the head of the cvs repository, and it has a compilation
>> problem. In particular,
>> org.eclipse.am3.tools.tge.editor.CompletionPorcessor
>> has the following import which can not be satisfied
>>
>> import org.eclipse.gmt.tcs.injector.CompletionInformation;
>>
>> Any ideas for fixes appreciated.
>>
>> thanks
>> Andy.
>>
>> --
>> -- ------------------------------------------------------------ -------------
>> Dr Andy Carpenter
>> School of Computer Science,
>> University of Manchester, Manchester M13 9PL, UK
>> Email: Andy.Carpenter@manchester.ac.uk
>> Tel: +44 161 275 6168
>> Fax: +44 161 275 6280
>>
>
>
Re: [AM3] compilation problem with TGE [message #614511 is a reply to message #381760] Mon, 31 March 2008 11:42 Go to previous message
Andy Carpenter is currently offline Andy CarpenterFriend
Messages: 145
Registered: July 2009
Senior Member
I see that the plugin manifest in the cvs repository has now been modified
to include a dependence that fixes this compilation problem; thanks.

However, the dependency is to org.eclipse.gmt.tcs.injector. Having checked
this out of the cvs repository, I find that its plugin manifest lists its
required
execution environment as J2SE-1.4. This is a problem because the source
file org.eclipse.gmt.tcs.injector.ParserLauncher makes use of an
IllegalArgumentException constructor that was only introduced in J2SE-1.5!

regards
Andy.


"Andy Carpenter" <Andy.Carpenter@manchester.ac.uk> wrote in message
news:fsgcvh$7bd$1@build.eclipse.org...
> I've just checked out the latest version of the TGE plugin
> from the head of the cvs repository, and it has a compilation
> problem. In particular,
> org.eclipse.am3.tools.tge.editor.CompletionPorcessor
> has the following import which can not be satisfied
>
> import org.eclipse.gmt.tcs.injector.CompletionInformation;
>
> Any ideas for fixes appreciated.
>
> thanks
> Andy.
>
> --
> -- ------------------------------------------------------------ -------------
> Dr Andy Carpenter
> School of Computer Science,
> University of Manchester, Manchester M13 9PL, UK
> Email: Andy.Carpenter@manchester.ac.uk
> Tel: +44 161 275 6168
> Fax: +44 161 275 6280
>
Re: [AM3] compilation problem with TGE [message #614513 is a reply to message #381837] Mon, 31 March 2008 15:09 Go to previous message
Frédéric Jouault is currently offline Frédéric JouaultFriend
Messages: 572
Registered: July 2009
Senior Member
Hi Andy,

We are stabilizing ATL for release with Eclipse 3.4.

But we are continuing development on AM3 and TCS.
At the current time, it is not easy to find which CVS branch to check out.

We are currently working on improving the situation. For instance, there
will be .psf files to help the check out process.


Thanks for notifying us of this problem.


Regards,

Frédéric Jouault


Andy Carpenter a écrit :
> I see that the plugin manifest in the cvs repository has now been modified
> to include a dependence that fixes this compilation problem; thanks.
>
> However, the dependency is to org.eclipse.gmt.tcs.injector. Having checked
> this out of the cvs repository, I find that its plugin manifest lists its
> required
> execution environment as J2SE-1.4. This is a problem because the source
> file org.eclipse.gmt.tcs.injector.ParserLauncher makes use of an
> IllegalArgumentException constructor that was only introduced in J2SE-1.5!
>
> regards
> Andy.
>
>
> "Andy Carpenter" <Andy.Carpenter@manchester.ac.uk> wrote in message
> news:fsgcvh$7bd$1@build.eclipse.org...
>> I've just checked out the latest version of the TGE plugin
>> from the head of the cvs repository, and it has a compilation
>> problem. In particular,
>> org.eclipse.am3.tools.tge.editor.CompletionPorcessor
>> has the following import which can not be satisfied
>>
>> import org.eclipse.gmt.tcs.injector.CompletionInformation;
>>
>> Any ideas for fixes appreciated.
>>
>> thanks
>> Andy.
>>
>> --
>> -- ------------------------------------------------------------ -------------
>> Dr Andy Carpenter
>> School of Computer Science,
>> University of Manchester, Manchester M13 9PL, UK
>> Email: Andy.Carpenter@manchester.ac.uk
>> Tel: +44 161 275 6168
>> Fax: +44 161 275 6280
>>
>
>
Previous Topic:EVL 'one' operator
Next Topic:[AM3] Injecting KM3 files to ecore and annotation
Goto Forum:
  


Current Time: Wed Nov 26 07:05:53 GMT 2014

Powered by FUDForum. Page generated in 0.02053 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software